#...............................................................................
#
#  IO Ninja plugins
#

[group]
name        = IO Ninja Hardware
description = Plugins for working with IO Ninja hardware taps
id          = hw

[group]
name        = Serial Communications
description = Plugins for working with serial links
id          = serial

[group]
name        = Network Communications
description = Plugins for working with network communications
id          = net

[group]
name        = File Systems
description = Plugins for working with file systems
id          = fs

[group]
name        = USB
description = Plugins for working with USB communications
id          = usb

[group]
name        = Protocol Analyzers
description = Layer plugins for analyzing miscellaneous protocols
id          = analyzers

#. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

[plugins]

# hardware

plugins/SerialTap/SerialTap.njplg
plugins/SerialTap/SshSerialTap.njplg
plugins/EthernetTap/EthernetTap.njplg
plugins/EthernetTap/EthernetTapLog.njplg
plugins/EthernetTap/SshEthernetTap.njplg
plugins/I2cSpiTap/I2cSpiTap.njplg
plugins/I2cSpiTap/I2cSpiTapLog.njplg
plugins/FpgaUploaderLog/FpgaUploaderLog.njplg

# serial

plugins/SerialLog/SerialLog.njplg
plugins/Serial/Serial.njplg
plugins/Serial/SshSerial.njplg
plugins/SerialMon/SerialMon.njplg
plugins/SerialMon/SerialMonLog.njplg
plugins/SerialMon/SshSerialMon.njplg
plugins/SerialMon/SerialMiDumpView.njplg
plugins/EzTapPro/EzTapPro.njplg
plugins/GenericSerialTap/SerialTap.njplg

# net

plugins/SocketLog/SocketLog.njplg
plugins/SocketLog/ServerSocketLogFilter.njplg
plugins/SslLog/SslLog.njplg
plugins/PcapLog/PcapLog.njplg
plugins/NetSnifferLog/NetSnifferLog.njplg
plugins/TcpConnection/TcpConnection.njplg
plugins/TcpServer/TcpServer.njplg
plugins/TcpProxy/TcpProxy.njplg
plugins/TcpFlow/TcpFlowMon.njplg
plugins/Udp/Udp.njplg
plugins/Udp/UdpLog.njplg
plugins/UdpFlow/UdpFlowMon.njplg
plugins/SshChannel/SshChannel.njplg
plugins/SshChannel/SshLog.njplg
plugins/SslConnection/SslConnection.njplg
plugins/SslServer/SslServer.njplg
plugins/WebSocketLog/WebSocketLog.njplg
plugins/WebSocketClient/WebSocketClient.njplg
plugins/WebSocketServer/WebSocketServer.njplg
plugins/PcapSniffer/PcapSniffer.njplg

# usb

plugins/UsbLog/UsbLog.njplg
plugins/UsbEndpoint/UsbEndpoint.njplg
plugins/UsbMon/UsbMon.njplg
plugins/HidLog/HidLog.njplg
plugins/Hid/Hid.njplg

# file systems

plugins/File/File.njplg
plugins/File/FileLog.njplg
plugins/PipeServer/PipeServer.njplg
plugins/PipeServer/PipeServerLog.njplg
plugins/PipeMon/PipeMon.njplg
plugins/PipeMon/PipeMonLog.njplg
plugins/Mailslot/Mailslot.njplg
plugins/Mailslot/MailslotLog.njplg
plugins/MailslotMon/MailslotMon.njplg
plugins/MailslotMon/MailslotMonLog.njplg

# misc

plugins/Process/Process.njplg
plugins/Process/ProcessLog.njplg
plugins/JLinkRtt/JLinkRtt.njplg
plugins/JLinkRtt/JLinkRttLog.njplg
plugins/TibboModbusGatewayMon/ModbusGatewayMon.njplg
plugins/TibboModbusGatewayMon/ModbusGatewayMonLog.njplg
plugins/DeviceMonLog/DeviceMonLog.njplg

# protocol analyzers

plugins/Modbus/Modbus.njplg
plugins/Modbus/ModbusLog.njplg
plugins/Df1/Df1.njplg
plugins/Df1/Df1Log.njplg
plugins/TcpFlow/TcpFlow.njplg
plugins/TcpFlow/TcpFlowLog.njplg
plugins/UdpFlow/UdpFlow.njplg
plugins/UdpFlow/UdpFlowLog.njplg

# generic layers

plugins/ReplayLog/ReplayLog.njplg
plugins/TxModifier/TxModifier.njplg
plugins/TxRxFilter/TxRxFilter.njplg
plugins/XModem/XModem.njplg
plugins/Echo/Echo.njplg
